commit:     fd0cff429d9cf6593aca279368dc61dd66f601d1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  1 07:57:58 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug  1 10:09:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd0cff42

dev-python/vcrpy: Bump to 4.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/vcrpy/Manifest           |  1 +
 dev-python/vcrpy/vcrpy-4.1.0.ebuild | 50 +++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/vcrpy/Manifest b/dev-python/vcrpy/Manifest
index 899e2bb966f..f40e6e3a54e 100644
--- a/dev-python/vcrpy/Manifest
+++ b/dev-python/vcrpy/Manifest
@@ -1 +1,2 @@
 DIST vcrpy-4.0.2.tar.gz 324196 BLAKE2B 
8910ba40bd56c7836a92c120c480e633063c78beb1d7c4dcfffb6180135cf0e28586410307ba3e19b3fa484a72a176dbf877f781ade7bae7c81110fde2eedd32
 SHA512 
17eebc9574ff14f97ad200b99c50b0440a93fbf38afe8ad95f443370d84c43177ac55ab655ffea7e7985b0cd76124eff3c394898e71a0ba0c434014f07e526f9
+DIST vcrpy-4.1.0.tar.gz 330122 BLAKE2B 
a7a2516d4dfcc01da801fb8685ea3b56f50ce474d35477ae36785ea1bfbae113bd3c18fb3faadb13fc81c37fa1d282a84bc60fdd27f4fc4a1f3e952312d7bc5f
 SHA512 
7ad5517cd52f6f31448db9b608d8a7b274741727487ede21b7f80e4060e3ddbb34c731166f67ae7136c86a8d3e7fd23128e035a148f18f771066bfa71319624f

diff --git a/dev-python/vcrpy/vcrpy-4.1.0.ebuild 
b/dev-python/vcrpy/vcrpy-4.1.0.ebuild
new file mode 100644
index 00000000000..75f41168529
--- /dev/null
+++ b/dev-python/vcrpy/vcrpy-4.1.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically mock your HTTP interactions to simplify and speed 
up testing"
+HOMEPAGE="https://github.com/kevin1024/vcrpy";
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/kevin1024/vcrpy/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/httplib2-0.9.1[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       >=dev-python/six-1.5[${PYTHON_USEDEP}]
+       dev-python/urllib3[${PYTHON_USEDEP}]
+       dev-python/wrapt[${PYTHON_USEDEP}]
+       dev-python/yarl[${PYTHON_USEDEP}]
+       "
+BDEPEND="
+       test? (
+               dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # tests requiring Internet
+       rm tests/integration/test_aiohttp.py || die
+       sed -e 's:test_flickr_should_respond_with_200:_&:' \
+               -e 's:test_amazon_doctype:_&:' \
+               -i tests/integration/test_wild.py || die
+       sed -e 's:testing_connect:_&:' \
+               -i tests/unit/test_stubs.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x REQUESTS_CA_BUNDLE=$("${EPYTHON}" -m pytest_httpbin.certs)
+       pytest -vv || die "Tests fail with ${EPYTHON}"
+}

Reply via email to